Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #258

scrobbler2: Segmentation fault
February 24, 2013 00:56 - Thomas Lange

Status: Closed Start date: February 24, 2013
Priority: Major Due date:

Assignee: Luis Picciochi % Done: 100%

Category: plugins/scrobbler2 Estimated time: 0.00 hour

Target version: 3.4

Affects version: 3.4-alphat

Description

If the new scrobbler2 plugin is enabled, | get randomly segfaults.
| did nothing except enabling it and playing some audio files.

A backtrace is attached.

History

#1 - February 24, 2013 02:07 - Luis Picciochi

You're playing tracks without having associated the plugin with a last.fm account, is that it?

Can you show the title of a track where that happens?

#2 - February 24, 2013 03:40 - Luis Picciochi

OK, I think I got it: did you set a track playing and then select another one while the first was still playing, without pausing or stopping it?
If so, | was able to reproduce this on my machine. Audacious doesn't call the "ended" or "stopped" hooks on such cases. | can workaround this but
maybe the core should be calling one of those hooks.

#3 - February 24, 2013 11:23 - Thomas Lange
- File backtrace_full.log added

You are right, | have not configured a Last.fm account.
But | still don't understand how to reproduce it. For me it happens randomly.
So how do you select another track while the first one is still playing?

#4 - February 24, 2013 12:13 - Luis Picciochi
Here's how to reproduce:
1. Play track A;
2. Without pressing pause or stop, play track B;
3. When the track reaches a "scrobbable" state (i.e., half of it has played or 4 minutes have passed, whichever comes first), Audacious segfaults.

This happens because on step 2 the plugin didn't receive an "end" or "stop” signal.

#5 - February 25, 2013 18:59 - Thomas Lange

- Assignee set to Luis Picciochi
#6 - March 02, 2013 21:35 - John Lindgren
- Status changed from New to Closed

- % Done changed from 0 to 100

- Affects version 3.4-alphat added

- Affects version deleted (3.4)

https://github.com/audacious-media-player/audacious-plugins/commit/164505d770b7bfe77b348f971f8530d0d888e64c

Files
backtrace.log 1 KB February 24, 2013 Thomas Lange
backtrace_full.log 2.2 KB February 24, 2013 Thomas Lange
